/*******************************************************************************
+
+  LEDA 3.5
+
+  _ged.c
+
+  This file is part of the LEDA research version (LEDA-R) that can be 
+  used free of charge in academic research and teaching. Any commercial
+  use of this software requires a license which is distributed by the
+  LEDA Software GmbH, Postfach 151101, 66041 Saarbruecken, FRG
+  (fax +49 681 31104).
+
+  Copyright (c) 1991-1997  by  Max-Planck-Institut fuer Informatik
+  Im Stadtwald, 66123 Saarbruecken, Germany     
+  All rights reserved.
+ 
*******************************************************************************/
#include <LEDA/graph_edit.h>
#include <LEDA/graphwin.h>

void graph_edit(window& W, GRAPH<point,int>& G, bool dir, bool)
{ GraphWin gw(G,W);
  gw.set_directed(dir);
  gw.set_position(G.node_data());
  gw.open();
  node v;
  forall_nodes(v,G) G[v] = gw.get_position(v);
 }

